Name:          compress-lzf
Version:       0.9.8
Release:       3%{?dist}
Summary:       Basic LZF codec, compatible with standard C LZF package
License:       ASL 2.0
URL:           https://github.com/ning/compress
Source0:       https://github.com/ning/compress/archive/%{name}-%{version}.tar.gz
# thanks to bugproxy@us.ibm.com
# https://github.com/ning/compress/issues/37
Patch0:        %{name}-0.9.8-UnsafeChunkEncoderBE_java.patch

# test deps
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.testng:testng)

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-surefire-provider-testng

BuildArch:     noarch

%description
Compression codec for LZF encoding for particularly encoding/decoding,
with reasonable compression. Compressor is basic Lempel-Ziv codec,
without Huffman (deflate/gzip) or statistical post-encoding. See
"http://oldhome.schmorp.de/marc/liblzf.html" for more on
original LZF package.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n compress-%{name}-%{version}

find . -name "*.class" -print -delete
find . -name "*.jar" -type f -print -delete
%patch0 -p0

%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions"

%pom_add_dep junit:junit::test

%build

%mvn_file : %{name}
%mvn_build -- -Poffline-testing

%install
%mvn_install

%files -f .mfiles
%doc LICENSE README.md VERSION.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Wed Jul 02 2014 gil cattaneo <puntogil@libero.it> 0.9.8-3
- fix SUID issue in LZF compression rhbz#1115264

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 14 2013 gil cattaneo <puntogil@libero.it> 0.9.8-1
- initial rpm